cURL
curl --request POST \ --url https://api.inprocess.world/api/collections \ --header 'Content-Type: application/json' \ --data ' { "account": "<string>", "name": "<string>", "uri": "<string>", "splits": [ { "address": "<string>", "percentAllocation": 50 } ] } '
{ "contractAddress": "<string>", "hash": "<string>", "chainId": 123 }
Create a new Collection on the In•Process protocol. This endpoint allows artists to create a new collection contract onchain.
Note: The collection is created onchain via a smart account transaction.
Creator's address
Name of the Collection
Metadata URI for the Collection (e.g., Arweave URI)
Optional revenue sharing configuration. If provided, must have at least 2 recipients and sum to 100%
2
Show child attributes
Successful response
The address of the newly created Collection
Transaction hash of the creation operation
Chain ID where the transaction was executed